Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SampleSet< T, N > Class Template Reference

A container for samples. More...

`#include <SampleSet.h>`

Collaboration diagram for SampleSet< T, N >:

[legend]
List of all members.

## Public Member Functions
| SampleSet ()
| Constructor.
| ~SampleSet ()
| Destructor.
void | link (SampleSetProxyBase &sampleSetProxy) const
| The function links a proxy to this sample set.
int | getNumberOfSamples () const
| The function returns the number of samples in the set.
T & | operator[] (int index)
| Access operator.
const T & | operator[] (int index) const
| Constant access operator.
T * | swap ()
| The function swaps the primary and secondary sample set.
## Private Attributes
T * | current
| The actual sample set.
T * | other
| The secondary sample set.

## Detailed Description

### template<class T, int N>
class SampleSet< T, N >

A container for samples.

Two independant sets are maintained. As the sample set can be used by different modules that require a different number of samples, the size of the set can be changed at runtime.

Definition at line 99 of file SampleSet.h.

## Constructor & Destructor Documentation

template<class T, int N>
SampleSet< T, N >::SampleSet | ( |  | ) | `[inline]`

| Constructor. Definition at line 109 of file SampleSet.h.

template<class T, int N>
SampleSet< T, N >::~SampleSet | ( |  | ) | `[inline]`

| Destructor. Definition at line 118 of file SampleSet.h.

## Member Function Documentation

template<class T, int N>
void SampleSet< T, N >::link | ( | SampleSetProxyBase & | sampleSetProxy | ) | const`[inline]`

  | The function links a proxy to this sample set. Parameters:
  sampleSetProxy | The proxy.
Definition at line 128 of file SampleSet.h.

template<class T, int N>
int SampleSet< T, N >::getNumberOfSamples | ( |  | ) | const`[inline]`

| The function returns the number of samples in the set. Returns: The number of samples. Definition at line 137 of file SampleSet.h.

template<class T, int N>
T& SampleSet< T, N >::operator[] | ( | int | index | ) | `[inline]`

  | Access operator. Parameters:
  index | The index of the sample to access.
Definition at line 143 of file SampleSet.h.

template<class T, int N>
const T& SampleSet< T, N >::operator[] | ( | int | index | ) | const`[inline]`

  | Constant access operator. Parameters:
  index | The index of the sample to access.
Definition at line 149 of file SampleSet.h.

template<class T, int N>
T* SampleSet< T, N >::swap | ( |  | ) | `[inline]`

| The function swaps the primary and secondary sample set. Returns: The address of the previous sample set; Definition at line 155 of file SampleSet.h.

## Member Data Documentation

template<class T, int N>
T* SampleSet< T, N >::current`[private]`

| The actual sample set. Definition at line 102 of file SampleSet.h.

template<class T, int N>
T * SampleSet< T, N >::other`[private]`

| The secondary sample set. Definition at line 102 of file SampleSet.h.

The documentation for this class was generated from the following file:

- Representations/Cognition/SampleSet.h